%global debug_package %{nil}

Name:           mysql-release-el8
Version:        1.0
Release:        3%{dist}
Summary:        MySQL yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        mysql-ol8.repo
Source1:        LICENSE

BuildArch:     x86_64 aarch64
Requires:      oraclelinux-release-el8 >= 1.0-16
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the  MySQL yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


# yum
install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*



%changelog
* Fri Apr  9 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-3
- Add tools and connectors repositories.

* Thu Feb 25 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Add ocidomain as yum variable [ OraBug: 31840501]

* Mon Nov 20 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

